Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-7150516

[macosx] appletviewer shouldn't link against libX11 on the Mac

    Details

    • Subcomponent:
    • Resolved In Build:
      b16
    • CPU:
      generic
    • OS:
      os_x
    • Verification:
      Verified

      Backports

        Description

        I noticed a problem with the jdk 7u4 build for OS X - bin/appletviewer
        doesn't run. When I try to launch it, I get:

        dyld: Library not loaded: /usr/X11/lib/libX11.6.dylib
        Referenced from:
        /Library/Java/JavaVirtualMachines/jdk1.7.0_04/demo/jfx/Java2D/../../../bin/appletviewer

        Reason: Incompatible library version: appletviewer requires version
        10.0.0 or later, but libX11.6.dylib provides version 9.0.0
        Trace/BPT trap

        bin/appletviewer worked fine in 7u4b228.

        Running the appletviewer class directly ('java sun.applet.appletviewer')
        does seem to work.

        I saw it mentioned in MACOSX_PORT-524 that the X11 toolkit is not the
        default in JDK7 on Mac. Perhaps the appletviewer executable is
        requesting the X11 toolkit?

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  anthony Anthony Petrov (Inactive)
                  Reporter:
                  anthony Anthony Petrov (Inactive)
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:
                    Imported:
                    Indexed: